.background{
    background: url(/img/fondo-portafolio.webp);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

.portfolio{
    padding-bottom: 8rem;
}

.portfolio__grid{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(350px, 1fr));
    gap: 40px;
}

.item__portfolio__title{
    text-align: center;
    margin-bottom: 15px;
}

.item__portfolio__caption{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
    
.item__portfolio__cover img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 20px 20px 0 0;
    max-height: 450px;
    min-height: 250px;
}


.item__portfolio{
    border-radius: 20px;
    background: var(--white);
    box-shadow: 2px 3px 10px rgba(65, 65, 65, 0.15);
}


.item__portfolio__caption{
    padding: 16px;
}


.item__portfolio__description{
    font-size: 1.4rem;
}

.title__container{
    padding-top: 8rem;
    margin-bottom: 5rem;
}

.items__portfolio__details{
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    gap: 15px;
    margin-top: 3rem;
}

.detail{
    width: 170px;
}

.items__portfolio__details p{
    font-size: 1.3rem;
}

.item__porfolio__link{
    color: var(--white);
    display: flex;
    justify-content: space-around;
    align-items: center;
    padding: 7px 10px;
    background: #414141;
    border-radius: 20px;
    width: 150px;
}